Subject: RE: [PATCH 1/2] powerpc/85xx: fix problem that prevents PHYS_64BIT from configurable

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 17 Feb 2012 19:43:31 +1100

On Fri, 2012-02-17 at 04:32 +0000, Li Yang-R58472 wrote:
> >Additionally, outside of maybe P2041RDB I believe the majority of
> these
> >boards ship with 4G of DDR (but that off the top of my head) and thus
> >require the 36-bit / PHYS_64BIT support to be enabled.
> 
> I know that current support of DPAA boards requires 36-bit.  But I
> don't think they need to select the PHYS_64BIT option directly and
> make it not configurable.  It's conflicting with the logic that
> enabling a platform support doesn't mean the kernel is only running on
> that platform.  Btw: what's your recommendations on solving this?

But selecting PHYS_64BIT shouldn't prevent running on the other
platforms. If it does, then this needs to be fixed.

Cheers,
Ben.